AOMedia AV1 Codec: Data Fields - Variables

| AOMedia AV1 Codec

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - d -

- d_h : aom_image
- d_w : aom_image
- damping : CdefBlockInfo
- data : aom_codec_cx_pkt, aom_codec_frame_buffer
- data_alloc_height : AV1_COMP
- data_alloc_width : AV1_COMP
- dc_sign_cost : LV_MAP_COEFF_COST
- dec : aom_codec_ctx
- decision_mode : aom_ext_part_funcs
- default_frame_context : AV1Common
- default_inter_tx_type_prob_thresh : TxfmSearchParams
- default_interp_skip_flags : InterpSearchFlags
- delete_model : aom_ext_part_funcs
- delta_lf : aom_roi_map, macroblockd, MB_MODE_INFO
- delta_lf_from_base : macroblockd, MB_MODE_INFO
- delta_q : aom_roi_map
- delta_q_info : AV1Common
- delta_qindex : macroblock
- delta_qp_enabled : aom_roi_map
- deltaq_used : AV1_COMP
- den : aom_rational
- denoise_and_model : AV1_COMP
- dequant_QTX : macroblock_plane
- dgd_avg : AV1LrPickStruct
- diff10 : CompoundTypeRdBuffers
- dir : CdefBlockInfo
- dir_mode_skip_mask_ready : IntraModeSearchState
- directional_mode_skip_mask : IntraModeSearchState
- disable_1to4_partition_type : cfg_options
- disable_ab_partition_type : cfg_options
- disable_cdef : cfg_options
- disable_cdf_update : FeatureFlags
- disable_cfl : cfg_options
- disable_diff_wtd_comp : cfg_options
- disable_dist_wtd_comp : cfg_options
- disable_dual_filter : cfg_options
- disable_extra_sc_testing : HIGH_LEVEL_SPEED_FEATURES
- disable_filter_intra : cfg_options
- disable_flip_idtx : cfg_options
- disable_global_motion : cfg_options
- disable_inter_inter_wedge : cfg_options
- disable_inter_intra_comp : cfg_options
- disable_inter_intra_wedge : cfg_options
- disable_intra_angle_delta : cfg_options
- disable_intra_edge_filter : cfg_options
- disable_intrabc : cfg_options
- disable_lr : cfg_options
- disable_masked_comp : cfg_options
- disable_obmc : cfg_options
- disable_one_sided_comp : cfg_options
- disable_paeth_intra : cfg_options
- disable_palette : cfg_options
- disable_recon : FIRST_PASS_SPEED_FEATURES
- disable_rect_partition_type : cfg_options
- disable_ref_frame_mv : cfg_options
- disable_smooth_inter_intra : cfg_options
- disable_smooth_intra : cfg_options
- disable_trellis_quant : AlgoCfg, cfg_options
- disable_tx_64x64 : cfg_options
- disable_warp_motion : cfg_options
- dist : aom_partition_stats, COMP_RD_STATS
- dist_uvs : IntraModeSearchState
- dlist : CdefBlockInfo
- do_frame_data_update : AV1_COMP
- do_rectangular_split : aom_partition_decision
- do_square_split : aom_partition_decision
- do_update_frame_probs_interpfilter : AV1_COMP
- do_update_frame_probs_obmc : AV1_COMP
- do_update_frame_probs_txtype : AV1_COMP
- do_update_frame_probs_warp : AV1_COMP
- do_update_vbr_bits_off_target_fast : AV1_COMP
- downsample_filter_phase : SVC
- downsample_filter_type : SVC
- dqcoeff : macroblock_plane
- dqcoeff_block : DecoderCodingBlock
- dqcoeff_buf : macroblock
- drl_mode_cost0 : ModeCosts
- drop_frames_water_mark : RateControlCfg
- drop_spatial_layer : SVC
- droppable : AV1_COMP
- dst : CdefBlockInfo
- dst_stride : CdefBlockInfo
- ducky_encode_info : AV1_COMP
- duration : aom_codec_cx_pkt, FIRSTPASS_STATS
- dv_costs : IntraBCMVCosts, macroblock
- dv_costs_alloc : IntraBCMVCosts